# Uses of Interface
org.opensaml.saml.saml2.core.NewID

Packages that use NewID
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of NewID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return NewID
Modifier and Type
Method
Description
`NewID`
ManageNameIDRequest.`getNewID()`
Get the NewID of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type NewID
Modifier and Type
Method
Description
`void`
ManageNameIDRequest.`setNewID(NewID newNewID)`
Set the NewID of the request.

## Uses of NewID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NewID
Modifier and Type
Class
Description
`class`
`NewIDImpl`
Concrete implementation of `NewID`.
Fields in org.opensaml.saml.saml2.core.impl declared as NewID
Modifier and Type
Field
Description
`private NewID`
ManageNameIDRequestImpl.`newID`
NewID child element.
Methods in org.opensaml.saml.saml2.core.impl that return NewID
Modifier and Type
Method
Description
`NewID`
NewIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NewID`
NewIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NewID`
ManageNameIDRequestImpl.`getNewID()`
Get the NewID of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type NewID
Modifier and Type
Method
Description
`void`
ManageNameIDRequestImpl.`setNewID(NewID newNewID)`
Set the NewID of the request.

## Uses of NewID in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return NewID
Modifier and Type
Method
Description
`NewID`
Decrypter.`decrypt(NewEncryptedID newEncryptedID)`
Decrypt the specified NewEncryptedID.
Methods in org.opensaml.saml.saml2.encryption with parameters of type NewID
Modifier and Type
Method
Description
`NewEncryptedID`
Encrypter.`encrypt(NewID newID)`
Encrypt the specified NewID.

## Uses of NewID in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl that return NewID
Modifier and Type
Method
Description
`private NewID`
DecryptNameIDs.`processNewEncryptedID(ProfileRequestContext profileRequestContext, NewEncryptedID encID)`
Decrypt a `NewEncryptedID` and return the result.